
$(function(){
    $('.modal').on('show.bs.modal',function(){
        var back_modals = $('.modal[data-slidemodal]');
        var self_modal = $(this);
        if(back_modals.length === 0){
            self_modal.attr('data-slidemodal', '0');
        }else if(back_modals.length === 1){
            self_modal.attr('data-slidemodal', '1');
            var back_modalcontent = back_modals.find('.modal-content');
            var content_left = ($(window).width() / 2) - back_modalcontent.width() + 10;
            if (content_left < 0 ) {
                content_left = 0;
            }
            back_modals.css('z-index', '600');
            $('body').find('.modal-backdrop').css('opacity', 0);
            back_modalcontent.css({
                             'width': back_modalcontent.outerWidth(true),
                             'position': 'fixed',
                             })
                             .animate({
                                 left: content_left,
                                 top: $('#HEADnavi').height() + 'px'
                             },350, 'linear')
                             .addClass('modal-back');
        }else{
            var indexes = [];
            back_modals.each(function(){
                indexes.push(parseInt($(this).attr('data-slidemodal')));
            });
            var max_idx = Math.max(...indexes);
            var back_modal = $('.modal[data-slidemodal=' + (max_idx - 1) + ']');
            var base = back_modal.find('.modal-content');
            var modal = $('.modal[data-slidemodal=' + max_idx + ']');
            var content = modal.find('.modal-content');
            self_modal.attr('data-slidemodal', max_idx + 1);
            modal.css('z-index', '700');
            $('body').find('.modal-backdrop').css('opacity', 0);
            content.css({
                'width': content.outerWidth(true),
                'position':'fixed',
            })
            .animate({
                left: base.offset().left,
                top: parseInt(base.css('top').replace('px', '')) + back_modal.find('.modal-header').outerHeight() + 4
            },350, 'linear')
            .addClass('modal-back');
        }
    });

    $('.modal').on('hide.bs.modal', function(){
        var self_modal = $(this);
        var self_modal_idx = self_modal.attr('data-slidemodal');
        self_modal.removeAttr('data-slidemodal');
        if(self_modal_idx != '0'){
            $('body').find('.modal-backdrop').eq(1).css('opacity', '');
            var modal_bp = $('<div>').attr({
                                     'class': 'modal-backdrop',
                                     'id': 'temp-modal-bp'
                                     })
                                     .css({
                                     'opacity':0,
                                     'z-index': '1600'
                                     });
            $('body').append(modal_bp);
            var back_modal = $('[data-slidemodal=' + (parseInt(self_modal_idx) - 1) + ']');
            var back_modalcontent = back_modal.find('.modal-content');
            if(back_modal.attr('data-slidemodal') === '0'){
                $('.modal-backdrop:not(#temp-modal-bp)').css('opacity', '');
            }
            back_modalcontent.animate({
                left: (($(window).width() - back_modalcontent.outerWidth(true)) / 2) - 23 + 'px',
            },350, 'linear',
            function(){
                back_modalcontent.css({
                             'position': '',
                             'width': '',
                             'left': '',
                             'top':''
                             }).removeClass('modal-back');    
                $('#temp-modal-bp').remove();
                back_modal.css('z-index', '1050');
            });
         /*    back_modalcontent.css({
                              left: (($(window).width() - back_modalcontent.outerWidth(true)) / 2) - 23 + 'px',
                              'position': '',
                              'width': '',
                              'left': '',
                              'top':''
                              }).removeClass('modal-back');    
             $('#temp-modal-bp').remove(); 
             back_modal.css('z-index', '1050');*/
        }
    });
    
    $('.modal').on('hidden.bs.modal', function(){
        var modal_numbers = [];
        $('.modal[data-slidemodal]').each(function(){
            modal_numbers.push($(this).attr('data-slidemodal'));
        });
        if(modal_numbers.length > 0){
            modal_numbers.sort();
            var front_modal_number = modal_numbers[modal_numbers.length - 1];
            $('.modal[data-slidemodal="' + front_modal_number + '"]').css({
                'overflow-x': 'hidden',
                'overflow-y': 'auto'
            });
        }
    });
            
  
    $(window).on('resize', function(){
        var modal_base_content = $('.modal[data-slidemodal="0"]').find('.modal-content');
        if(modal_base_content.hasClass('modal-back')){
            var content_left = (($(window).width() / 2) - modal_base_content.width() + 10);
            if (content_left < 0 ) {
                 content_left = 0;
            }
            $('.modal-back').css('left', content_left);
        }
    });

});
