class CreateSidfmdProbeApikeys < ActiveRecord::Migration
  def change
    create_table :sidfmd_probe_apikeys do |t|
      t.references :sidfmd_category, foreign_key: true, index: true, null: false
      t.text :name, null: false
      t.text :api_key, default: nil, index: true
      # 有効期間(begin_date～end_date)
      t.date :begin_date, default: nil
      t.date :end_date, default: nil
    end
  end
end